Package: org.codehaus.groovy.reflection

## [Java] Class MixinInMetaClass

- org.codehaus.groovy.reflection.MixinInMetaClass

-     public class MixinInMetaClass
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object that)`
    `` | `public CachedClass` | `getDeclaringClass()`
    `` | `public CachedClass` | `getInstanceClass()`
    `` | `public CachedClass` | `getMixinClass()`
    `` | `public Object` | `getMixinInstance(Object object)`
    `` | `public int` | `hashCode()`
    `` | `public static void` | `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
    `` | `public void` | `setMixinInstance(Object object, Object mixinInstance)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)

  - ### Method Detail

    - #### @Override
      public boolean equals(Object that)

    - #### @Override
      public CachedClass getDeclaringClass()

    - #### public CachedClass getInstanceClass()

    - #### public CachedClass getMixinClass()

    - #### public Object getMixinInstance(Object object)

    - #### @Override
      public int hashCode()

    - #### public static void mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)

    - #### public void setMixinInstance(Object object, Object mixinInstance)